Bug 1415397

Summary: Problem with ds2490 kernel module
Product: [Fedora] Fedora Reporter: Paweł <pmarciniak>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 25CC: cz172638, duncan, gansalmon, ichavero, itamar, jonathan, kernel-maint, labbott, madhu.chinakonda, mchehab
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-4.9.9-200.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-02-13 22:23:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
ds2490 dma able patch none

Description Paweł 2017-01-21 13:35:40 UTC
Description of problem:
kernel module ds2490 stop working

Version-Release number of selected component (if applicable):
kernel-4.9.x

How reproducible:
Run kernel 4.9.x with ds2490 usb to 1- wire bridge

Actual results:
ds2490 doesn't work, flooding log with errors like this
Jan 21 12:17:23 corsair.sunwire.eu kernel: Failed to read 1-wire data from 0x81: err=-11.
Jan 21 12:17:23 corsair.sunwire.eu kernel: Failed to read 1-wire data from 0x81: err=-11.
....

Expected results:
Work like in kernel 4.8.x

Additional info:
likely solution
https://www.spinics.net/lists/kernel/msg2425181.html

LOG
Jan 21 12:17:23 corsair.sunwire.eu kernel: usb 3-7: new full-speed USB device number 6 using xhci_hcd
Jan 21 12:17:23 corsair.sunwire.eu kernel: usb 3-7: New USB device found, idVendor=04fa, idProduct=2490
Jan 21 12:17:23 corsair.sunwire.eu kernel: usb 3-7: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Jan 21 12:17:23 corsair.sunwire.eu mtp-probe[3766]: checking bus 3, device 6: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-7"
Jan 21 12:17:23 corsair.sunwire.eu mtp-probe[3766]: bus: 3, device: 6 was not an MTP device
Jan 21 12:17:23 corsair.sunwire.eu kernel: Driver for 1-wire Dallas network protocol.
Jan 21 12:17:23 corsair.sunwire.eu kernel: usbcore: registered new interface driver DS9490R
Jan 21 12:17:23 corsair.sunwire.eu kernel: ------------[ cut here ]------------
Jan 21 12:17:23 corsair.sunwire.eu kernel: WARNING: CPU: 4 PID: 3772 at drivers/usb/core/hcd.c:1584 usb_hcd_map_urb_for_dma+0x37f/0x570
Jan 21 12:17:23 corsair.sunwire.eu kernel: transfer buffer not dma capable
Jan 21 12:17:23 corsair.sunwire.eu kernel: Modules linked in: ds2490 wire vhost_net vhost macvtap macvlan xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat tun bridge ebtable_filter ebtables ip6table_filter ip6_tables fuse nf_conntrack_
Jan 21 12:17:23 corsair.sunwire.eu kernel:  snd_seq mei_me snd_seq_device drm ie31200_edac mei lpc_ich shpchp edac_core snd_pcm snd_timer snd elan_i2c wmi soundcore snd_soc_sst_acpi snd_soc_sst_match i2c_designware_platform tpm_tis video dw_dmac spi_pxa2xx_platform i2c_designware_c
Jan 21 12:17:23 corsair.sunwire.eu kernel: CPU: 4 PID: 3772 Comm: w1_bus_master1 Not tainted 4.9.4-201.fc25.x86_64 #1
Jan 21 12:17:23 corsair.sunwire.eu kernel: Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./Z97 Extreme4, BIOS P2.50 07/27/2016
Jan 21 12:17:23 corsair.sunwire.eu kernel:  ffffc25f08bcf9e0 ffffffff993f3ddd ffffc25f08bcfa30 0000000000000000
Jan 21 12:17:23 corsair.sunwire.eu kernel:  ffffc25f08bcfa20 ffffffff990a202b 0000063000000001 ffff9fc6d8eb1cc0
Jan 21 12:17:23 corsair.sunwire.eu kernel:  0000000000000000 ffff9fc6d1d60000 0000000000000002 ffff9fc6fb9a6000
Jan 21 12:17:23 corsair.sunwire.eu kernel: Call Trace:
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff993f3ddd>] dump_stack+0x63/0x86
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff990a202b>] __warn+0xcb/0xf0
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff990a20af>] warn_slowpath_fmt+0x5f/0x80
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff995ec86f>] usb_hcd_map_urb_for_dma+0x37f/0x570
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff995ed05a>] usb_hcd_submit_urb+0x35a/0xb50
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff991121a8>] ? del_timer_sync+0x48/0x50
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff9922fac1>] ? __slab_free+0xa1/0x2a0
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff990d9ee3>] ? update_curr+0xf3/0x170
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff990d6e05>] ? pick_next_entity+0x85/0x130
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff995eea04>] usb_submit_urb+0x2f4/0x560
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff990d3879>] ? sched_clock_cpu+0x99/0xb0
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff995ef31e>] usb_start_wait_urb+0x6e/0x170
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff995ef86d>] usb_bulk_msg+0xbd/0x160
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff995ef91e>] usb_interrupt_msg+0xe/0x10
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffffc083c5a6>] ds_recv_status_nodump.isra.6.constprop.8+0x76/0xd0 [ds2490]
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffffc083c804>] ds9490r_search+0x124/0x230 [ds2490]
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffffc0831f20>] ? w1_master_attribute_store_add+0xc0/0xc0 [wire]
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff990cd132>] ? check_preempt_curr+0x52/0x90
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff990dbd9c>] ? dequeue_task_fair+0x5ec/0x940
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff99025728>] ? __switch_to+0x2a8/0x5c0
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffffc0831f20>] ? w1_master_attribute_store_add+0xc0/0xc0 [wire]
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffffc0834a12>] w1_search_devices+0x32/0x3b [wire]
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffffc083287f>] w1_search_process_cb+0x5f/0x100 [wire]
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffffc0832a7b>] w1_process+0xdb/0x110 [wire]
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffffc08329a0>] ? w1_process_callbacks+0x80/0x80 [wire]
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff990c2569>] kthread+0xd9/0xf0
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff990c2490>] ? kthread_park+0x60/0x60
Jan 21 12:17:23 corsair.sunwire.eu kernel:  [<ffffffff9981ced5>] ret_from_fork+0x25/0x30
Jan 21 12:17:23 corsair.sunwire.eu kernel: ---[ end trace b3b79f03b6178313 ]---
Jan 21 12:17:23 corsair.sunwire.eu kernel: Failed to read 1-wire data from 0x81: err=-11.
Jan 21 12:17:23 corsair.sunwire.eu kernel: Failed to read 1-wire data from 0x81: err=-11.

Comment 1 Paweł 2017-01-22 08:01:51 UTC
Created attachment 1243292 [details]
ds2490 dma able patch

Comment 2 Paweł 2017-01-22 08:05:47 UTC
Another source of the patch https://lkml.org/lkml/2017/1/18/895
Patch works fine for me.

Comment 3 Laura Abbott 2017-02-09 15:46:02 UTC
I was hoping the maintainer would say something before bringing it in. I pulled this patch in to the 4.9.9 update and sent a reply to the list.

Comment 4 Fedora Update System 2017-02-09 23:46:47 UTC
kernel-4.9.9-200.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fb89ca752a

Comment 5 Fedora Update System 2017-02-10 16:23:46 UTC
kernel-4.9.9-200.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fb89ca752a

Comment 6 Fedora Update System 2017-02-10 16:44:09 UTC
kernel-4.9.9-100.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92d84f68cf

Comment 7 Fedora Update System 2017-02-11 16:48:20 UTC
kernel-4.9.9-100.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92d84f68cf

Comment 8 Fedora Update System 2017-02-13 22:23:48 UTC
kernel-4.9.9-200.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-02-13 22:48:46 UTC
kernel-4.9.9-100.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-02-14 15:49:44 UTC
kernel-4.9.9-200.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.